shishi_kdcreq_proxy_p(3)

NAME
shishi_kdcreq_proxy_p - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcreq_proxy_p(Shishi * handle, Shishi_asn1 kdcreq);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcreq
    KDC-REQ variable to get kdc-options field from.

DESCRIPTION
Determine if KDC-Option proxy flag is set. The PROXY option indicates that this is a request for a proxy. This option will only be honored if the ticket-granting ticket in the request has its PROXIABLE bit set. The address(es) of the host from which the resulting ticket is to be valid are included in the addresses field of the request.

RETURN VALUE
Returns non-0 iff proxy flag is set in KDC-REQ.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.